petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscInfoGetFile

Gets the name and FILE pointer of the file where PetscInfo() prints to

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoGetFile(char **filename, FILE **InfoFile)

Not Collective

### Output Parameters

| filename | - The name of the output file
| InfoFile | - The FILE pointer for the output file

### Note

This routine allocates and copies the filename so that the filename survives PetscInfoDestroy(). The user is therefore responsible for freeing the allocated filename pointer afterwards.

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscInfo(), PetscInfoSetFile(), PetscInfoSetFromOptions(), PetscInfoDestroy()

### Level

advanced

### Location

src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages